Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 239965 - HP OfficeJet J5700 missing from list
Summary: HP OfficeJet J5700 missing from list
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: foomatic
Version: 7
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F7Update
TreeView+ depends on / blocked
 
Reported: 2007-05-13 15:01 UTC by M. A. MacLain
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 3.0.2-47.1.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-03 16:23:06 UTC


Attachments (Terms of Use)
Print plug-in from F7-test4 (deleted)
2007-06-14 01:58 UTC, M. A. MacLain
no flags Details
Print plug-in from FC6 (deleted)
2007-06-14 01:59 UTC, M. A. MacLain
no flags Details
.ppd file from F-7 (deleted)
2007-06-14 02:00 UTC, M. A. MacLain
no flags Details
.ppd file from FC6 & F7-t4 (deleted)
2007-06-14 02:00 UTC, M. A. MacLain
no flags Details

Description M. A. MacLain 2007-05-13 15:01:08 UTC
Description of problem: Open a color image (tested .png, .gif and .jpg), select
print. The "preview window" shows in gray scale and the printing is also gray
scale. Images work properly with FC6 Gimp.  Gimp does show color and does color
manipulation properly


Version-Release number of selected component (if applicable):
gimp-2.2.14-5.fc7

How reproducible: Consistent


Steps to Reproduce: 
1. Open a color image
2. Select Print
3.
  
Actual results: Preview is gray scale. Printed image is gray scale.


Expected results: Color image in preview and color printed image


Additional info:

Comment 1 Tim Waugh 2007-05-15 14:22:31 UTC
What does 'rpm -q gutenprint-plugin' say?

Comment 2 M. A. MacLain 2007-05-15 15:02:18 UTC
gutenprint-plugin-5.0.0.99.1-3.fc7



Comment 3 M. A. MacLain 2007-05-15 15:03:43 UTC
Will be out of town until June 10th.
Regads

Comment 4 Tim Waugh 2007-05-15 15:39:43 UTC
In the 'Output' tab of the Print... dialog, is "Color" selected or "Grayscale"?

Comment 5 M. A. MacLain 2007-05-16 23:08:50 UTC
Color was and is selected.

Comment 6 Tim Waugh 2007-05-17 09:55:44 UTC
Can you attach the PPD for the queue you are using?  It will be in the
/etc/cups/ppd/ directory.  Thanks.

Comment 7 M. A. MacLain 2007-05-17 13:21:20 UTC
Tim, I am out of town until June 10th, thus I have no access to the box.  As
soon as I return I will send you a copy of the PPD. Please note that the
"Preview Window" does not display in color.  I have FC6 installed in the same
box. In FC6, the program has no problems.
Regards

Comment 8 Tim Waugh 2007-05-17 13:27:26 UTC
No problem; just attach the PPD when you get back.  Thanks.

Comment 9 Richard Körber 2007-06-13 17:06:27 UTC
My prints were much too dark after installing F7. In Gimp's print menu, I chose
the "Output" tab, then clicked "Adjust output...". In the next dialog, I clicked
"Set Defaults" to reset the color settings to default. The print quality is
allright again now.

Maybe this will do the trick for you, too?

Comment 10 M. A. MacLain 2007-06-14 01:58:11 UTC
Created attachment 156946 [details]
Print plug-in from F7-test4

Comment 11 M. A. MacLain 2007-06-14 01:59:06 UTC
Created attachment 156947 [details]
Print plug-in from FC6

Comment 12 M. A. MacLain 2007-06-14 02:00:11 UTC
Created attachment 156948 [details]
.ppd file from F-7

Comment 13 M. A. MacLain 2007-06-14 02:00:49 UTC
Created attachment 156949 [details]
.ppd file from FC6 & F7-t4

Comment 14 M. A. MacLain 2007-06-14 02:04:29 UTC
Back in town finally I had a chance to look at the Gimp problem.  With F-7 final
release available I installed it.  Interesting with F-7 Gimp would not even show
"Print..." in the File drop-down menu. The installation did not install the
"print" plug-in (/usr/lib/gimp/2.0/plug-ins/print). Copying the FC-6 print
plug-in to F-7 solved this problem. Gimp prints properly in F-7.

None of the possible print plug-in / Officejet_J5700_series.ppd permutations of
the files from FC-6, F-7test4 and F-7 made F-7 test 4 print in color.

As per your request I created attachments for the .ppd's as well as the plug-in
files (Comments 10 through 13).
I have preceded the file names with their corresponding source information
within square brackets.

I will try a second install of F-7 to see if it makes any difference. 

Thanks for your help

Regards,

Manny






Comment 15 Tim Waugh 2007-06-14 12:32:32 UTC
Don't copy anything from FC-6.  You just need to install the gutenprint-plugin
package; see comment #1.

I am going to issue a foomatic test update shortly.  It will add 'OfficeJet
J5700' to the list of HP printers when you go to change the driver for the
queue.  In fact, just removing the queue and re-connecting the printer should
set up a queue for you.

You'll see an update message here when the test update is ready.


Comment 16 Fedora Update System 2007-06-14 15:45:51 UTC
foomatic-3.0.2-47.1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 17 M. A. MacLain 2007-06-14 22:04:25 UTC
Tim, will install another F-7 in a separate partition for experimenting with the
Test Updates etc.
Will keep you informed.
Thanks,
Manny


Comment 18 Tim Waugh 2007-07-02 14:33:46 UTC
Have you had a chance to try out the test update yet?

Comment 19 Fedora Update System 2007-07-03 16:22:57 UTC
foomatic-3.0.2-47.1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 M. A. MacLain 2007-07-04 12:28:07 UTC
Tim, foomatic-3.0.2-47.1.fc7 solved the problem. It works well.
Thanks for your help.  Job well done.
Manny


Note You need to log in before you can comment on or make changes to this bug.